Qwt User's Guide: QwtPlotDict Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
QwtPlotDict Class Reference

A dictionary for plot items. More...

`#include <qwt_plot_dict.h>`

Inheritance diagram for QwtPlotDict:

## Public Member Functions
| QwtPlotDict ()
virtual | ~QwtPlotDict ()
void | setAutoDelete (bool)
bool | autoDelete () const
const QwtPlotItemList & | itemList () const
| A QwtPlotItemList of all attached plot items.
QwtPlotItemList | itemList (int rtti) const
void | detachItems (int rtti=QwtPlotItem::Rtti_PlotItem, bool autoDelete=true)

## Protected Member Functions
void | insertItem (QwtPlotItem *)
void | removeItem (QwtPlotItem *)

## Detailed Description

A dictionary for plot items.

QwtPlotDict organizes plot items in increasing z-order. If autoDelete() is enabled, all attached items will be deleted in the destructor of the dictionary. QwtPlotDict can be used to get access to all QwtPlotItem items - or all items of a specific type - that are currently on the plot.

See also
  QwtPlotItem::attach(), QwtPlotItem::detach(), QwtPlotItem::z()

Definition at line 32 of file qwt_plot_dict.h.

## Constructor & Destructor Documentation

## ◆ QwtPlotDict()

QwtPlotDict::QwtPlotDict | ( |  | ) |
| explicit

Constructor

Auto deletion is enabled.

See also
  setAutoDelete(), QwtPlotItem::attach()

Definition at line 69 of file qwt_plot_dict.cpp.

## ◆ ~QwtPlotDict()

QwtPlotDict::~QwtPlotDict | ( |  | ) |
| virtual

Destructor

If autoDelete() is on, all attached items will be deleted

See also
  setAutoDelete(), autoDelete(), QwtPlotItem::attach()

Definition at line 81 of file qwt_plot_dict.cpp.

## Member Function Documentation

## ◆ autoDelete()

bool QwtPlotDict::autoDelete | ( |  | ) | const

Returns
  true if auto deletion is enabled

See also
  setAutoDelete(), insertItem()

Definition at line 104 of file qwt_plot_dict.cpp.

## ◆ detachItems()

void QwtPlotDict::detachItems | ( | int | rtti = QwtPlotItem::Rtti_PlotItem,
|  | bool | autoDelete = true )

Detach items from the dictionary

Parameters

  rtti | In case of QwtPlotItem::Rtti_PlotItem detach all items otherwise only those items of the type rtti.
  autoDelete | If true, delete all detached items

Definition at line 138 of file qwt_plot_dict.cpp.

## ◆ insertItem()

void QwtPlotDict::insertItem | ( | QwtPlotItem * | item | ) |
| protected

Insert a plot item

Parameters

  item | PlotItem

See also
  removeItem()

Definition at line 115 of file qwt_plot_dict.cpp.

## ◆ itemList() [1/2]

const QwtPlotItemList & QwtPlotDict::itemList | ( |  | ) | const

A QwtPlotItemList of all attached plot items.

Use caution when iterating these lists, as removing/detaching an item will invalidate the iterator. Instead you can place pointers to objects to be removed in a removal list, and traverse that list later.

Returns
  List of all attached plot items.

Definition at line 166 of file qwt_plot_dict.cpp.

## ◆ itemList() [2/2]

QwtPlotItemList QwtPlotDict::itemList | ( | int | rtti | ) | const

Returns
  List of all attached plot items of a specific type.

Parameters

  rtti | See QwtPlotItem::RttiValues

See also
  QwtPlotItem::rtti()

Definition at line 176 of file qwt_plot_dict.cpp.

## ◆ removeItem()

void QwtPlotDict::removeItem | ( | QwtPlotItem * | item | ) |
| protected

Remove a plot item

Parameters

  item | PlotItem

See also
  insertItem()

Definition at line 126 of file qwt_plot_dict.cpp.

## ◆ setAutoDelete()

void QwtPlotDict::setAutoDelete | ( | bool | autoDelete | ) |

En/Disable Auto deletion

If Auto deletion is on all attached plot items will be deleted in the destructor of QwtPlotDict. The default value is on.

See also
  autoDelete(), insertItem()

Definition at line 95 of file qwt_plot_dict.cpp.